/*
 * @(#)ComponentResolver.java
 * 
 * Christopher Deckers (chrriis@brainlex.com)
 * http://chrriis.brainlex.com
 * 
 * See the file "LICENSE.txt" for information on usage and redistribution of
 * this file, and for a DISCLAIMER OF ALL WARRANTIES.
 */
package chrriis.uihierarchy.xml.resolver;

/**
 * The resolver for components.
 * @version 1.0 2003.10.06
 * @author Christopher Deckers (chrriis@brainlex.com)
 */
public interface ComponentResolver {

  /**
   * Resolve a component from its name.
   * @param name The name of the component to resolve.
   * @return The component matching the given name, or null if not found.
   */
  public Object resolve(String name);

}
